function data=  recup_temps(data, BasemodelesParam, BasemodelesType)
% recup_temps récupérer l'unité de temps des parametres
%% ================================================

for i=1:length(BasemodelesParam)
    param=BasemodelesParam{i};
    if isfield(BasemodelesType, param)
        % le param depend du temps
        lestps={'day' 'hour' 'mn'};
        
        for t=1:length(lestps)
            if ~isempty(regexpi(BasemodelesType.(param), lestps{t}))
                letag=lestps{t};
                data.uniteT=t;
                if isfield(data, 'uniteT_tag')
                    set(data.uniteT_tag, 'value', t);
                end
                data.uniteT_pourcalcul=t;
                data.uniteT_libelle=lestps{t};
                data.uniteT_pourcalcul_libelle=lestps{t};
                if isfield(data, letag)
                    set(data.(letag), 'value', 1);
                end
                if isfield(data, 'obSmaxtxt_tag')
                    set(data.obSmaxtxt_tag, 'String', ...
                        ['MAXIMAL TIME (' data.uniteT_libelle ' )']);
                end
                guidata(1,data);
                break; %sort de la boucle sur t
            end
        end %fin boucle sur t
        break; %sort de la boucle sur i
    end
end
end % fin recup_temps
